Package org.eclipse.jface.text.source

# Interface ILineDifferExtension

public interface ILineDifferExtension
Extension interface for `ILineDiffer`.

Introduces the concept of suspending a differ. A `ILineDiffer` may be suspended into a dormant state, and resumed to normal operation.

Since:
  3.1

## Method Summary

Modifier and Type
Method
Description
`void`
`resume()`
Resumes the receiver.
`void`
`suspend()`
Suspends the receiver.

## Method Details

### suspend

void suspend()
Suspends the receiver. All differences are cleared.

### resume

void resume()
Resumes the receiver. Must only be called after suspend.